Index: /GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h	(revision 2411)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h	(revision 2413)
@@ -34,4 +34,9 @@
 FPSPlayer* gFPSPlayer;
 
+bool PP_glowON = true;
+bool PP_tonemapON = true;
+bool PP_dofON = true;
+
+float lightpower = 32.0;
 // Listener class for frame updates
 class MoriaDemoFrameListener : public ExampleFrameListener
@@ -72,5 +77,5 @@
 		
 
-	//	sysNode->setPosition(mCamera->getPosition() - Vector3(0,1.5,0));
+		sysNode->setPosition(mCamera->getPosition() - Vector3(0,1.5,0));
 
         return ExampleFrameListener::frameStarted(evt);     
@@ -80,29 +85,41 @@
     {
 		gFPSPlayer->processKeyInputs(mInputDevice);
-/*
-		static float lastTime = 0;
-		static Timer* t = Root::getSingleton().getTimer();
-		float thisTime = (float) t->getMilliseconds() / 1000.0f;
-		float dt = thisTime-lastTime;
-		lastTime = thisTime;
-		
-		
-		if (mInputDevice->isKeyDown(KC_SPACE)) {
-						
-			if(throwSphere == 0)
-			{
-				throwSphere = NXScene->createBody("throwSphere",
-													"sphere.mesh",
-													new SphereShape(0.5f),
-													Vector3(0,0,0),
-													"mass: 10");
-				throwSphere->getNode()->setScale(0.005,0.005,0.005);
-			}
-			//myCube->
-			throwSphere->setGlobalPosition(mCamera->getPosition());
-			throwSphere->addForce(mCamera->getDirection()*200);
-	
-		}*/
-
+		
+		if (mInputDevice->isKeyDown(KC_ADD) && mTimeUntilNextToggle <= 0)
+		{
+			lightpower *= 1.2;
+			light->setPowerScale(lightpower);
+			mTimeUntilNextToggle = 1;
+		}
+		if (mInputDevice->isKeyDown(KC_SUBTRACT) && mTimeUntilNextToggle <= 0)
+		{
+			lightpower /= 1.2;
+			light->setPowerScale(lightpower);
+			mTimeUntilNextToggle = 1;
+		}
+		if (mInputDevice->isKeyDown(KC_3) && mTimeUntilNextToggle <= 0)
+		{
+			PP_glowON = !PP_glowON;
+			CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
+														"GTP/PostProc/Glow", PP_glowON);
+			mTimeUntilNextToggle = 1;
+		}
+		if (mInputDevice->isKeyDown(KC_4) && mTimeUntilNextToggle <= 0)
+		{
+			PP_tonemapON = !PP_tonemapON;
+
+			CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
+														"GTP/PostProc/ToneMap", PP_tonemapON);
+			
+			mTimeUntilNextToggle = 1;
+		}
+		if (mInputDevice->isKeyDown(KC_5) && mTimeUntilNextToggle <= 0)
+		{
+			PP_dofON = !PP_dofON;
+			CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
+														"GTP/Moria/PostProc/DoF", PP_dofON);
+			mTimeUntilNextToggle = 1;
+		}
+	
 		
 	//	return ExampleFrameListener::processUnbufferedKeyInput(evt);
@@ -310,7 +327,7 @@
 		PlayerCharacter::frameListenerPriority = 20;
 		gFPSPlayer = new FPSPlayer(NXScene, mSceneMgr, Vector3(0.5, 1.8, 0.3), Vector3(5, 10, 15), 1.6, mCamera, false);
-		//gFPSPlayer->addPlayerMesh("FPSarm.mesh", 0.02, true);
-		//gFPSPlayer->addWeaponModel("sword.mesh", "joint28");
-
+		gFPSPlayer->addPlayerMesh("FPSarm.mesh", 0.02, true);
+		gFPSPlayer->addWeaponModel("sword.mesh", "joint28");
+/*
 		PlayerCharacter* troll = new PlayerCharacter("troll1", NXScene, mSceneMgr, Vector3(1.5, 3.0, 1.2), Vector3(5, 10, 5), false);
 		troll->addPlayerMesh("troll.mesh", 0.05, false);
@@ -329,10 +346,10 @@
 			b->setCharacterCollisionGroup(NX_CHARACTER_COL_GROUP_PUSHABLE);
 		}
-	
-	  /* ParticleSystem* pSys1 = mSceneMgr->createParticleSystem("psys1", "MoriaDust");
+	*/
+	   ParticleSystem* pSys1 = mSceneMgr->createParticleSystem("psys1", "MoriaDust");
 	   pSys1->setKeepParticlesInLocalSpace(true);
 	   pSysNode = rootNode->createChildSceneNode("psys1");
 	   pSysNode->attachObject(pSys1);
-	   pSysNode->setPosition(0,0,0);*/
+	   pSysNode->setPosition(0,0,0);
 
 
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp	(revision 2411)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp	(revision 2413)
@@ -106,6 +106,5 @@
 	meshNode->setScale(meshscale, meshscale, meshscale);
 	if(rotateModel)
-	meshNode->rotate(Vector3::UNIT_Y, Degree(180.0));
-	meshNode->_updateBounds();
+	meshNode->rotate(Vector3::UNIT_Y, Degree(180.0));	
 }
 