Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/troll.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/troll.material	(revision 2386)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/troll.material	(revision 2414)
@@ -148,2 +148,3 @@
 	}
 }
+
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.particle
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.particle	(revision 2376)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.particle	(revision 2414)
@@ -2,5 +2,5 @@
 MoriaDust
 {
-	quota	200
+	quota	20
 	material	MoriaDust
 	particle_width	25
@@ -21,11 +21,10 @@
 		colour_range_end	1 1 1 0
 		direction	0 1 0
-		emission_rate	64.52
+		emission_rate	100
 		position	0 0 0
 		velocity_min	0.1
 		velocity_max	0.3
-		time_to_live	2.258
-		time_to_live_min	2.258
-		time_to_live_max	18.06
+		time_to_live_min	3
+		time_to_live_max	5
 		duration	0
 		duration_min	0
@@ -34,7 +33,7 @@
 		repeat_delay_min	0
 		repeat_delay_max	0
-		width	40
-		height	40
-		depth	10
+		width	10
+		height	10
+		depth	5
 	}
 
@@ -44,10 +43,10 @@
 		green1	0
 		blue1	0
-		alpha1	0.3
+		alpha1	0.5
 		red2	0
 		green2	0
 		blue2	0
-		alpha2	-0.3
-		state_change	12.26
+		alpha2	-0.5
+		state_change	2
 	}
 }
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.material	(revision 2398)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.material	(revision 2414)
@@ -43,5 +43,5 @@
 			    param_named_auto farplane far_clip_distance	  
 			    param_named_auto nearplane near_clip_distance
-		        param_named color float4 0.55 0.56 0.5 2.5
+		        param_named color float4 0.95 0.96 0.95 0.1
 		        param_named symmetry float 0.1	
 		        param_named_auto lightCPos light_position_view_space 0
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.hlsl	(revision 2392)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaDust.hlsl	(revision 2414)
@@ -86,10 +86,14 @@
 	
 	//illumination
-	float3 L = lightCPos - IN.Q * lightCPos.w;
+	lightCPos.z *= -1;
+	float2 L = lightCPos.xy - IN.Q.xy;
 	float ld = length(L);
 	L = L / ld;
 	float3 V = normalize(-IN.Q);
-	float phase = /*lightPower / (ld*ld) * */tex2D(PhaseMap, float2(symmetry, dot(L,V)) * 0.5 + 0.5).r;
+	float phase;// = /*lightPower / (ld*ld) * */tex2D(PhaseMap, float2(symmetry, dot(L,V)) * 0.5 + 0.5).r;
 //	float phase = (dot(L, V) + 1.0) * 0.5;
+
+	float ld2 = max(0.01, ld * ld);
+	phase = lightPower / ld2;
 	Color.rgb *= phase;
 	return Color; 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaGlow.compositor
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaGlow.compositor	(revision 2398)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaGlow.compositor	(revision 2414)
@@ -65,5 +65,5 @@
          pass render_quad
          {
-               material GTP/PostProc/Add
+               material GTP/Moria/GlowFinalCombine
                input 0 scene
                input 1 rt1
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaPostProc.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaPostProc.material	(revision 2398)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaPostProc.material	(revision 2414)
@@ -1,13 +1,28 @@
 material GTP/Moria/PostProc/GlowCut : GTP/PostProc/GlowCut
 {
-   technique 0
+   technique maintechnique
    { 
-      pass 0 
+      pass mainpass
       {
 	fragment_program_ref
         { 
-	  param_named cutValue float 35.0
-	  param_named timeBlur float 0.4	        
+	  param_named cutValue float 2.0
+	  param_named timeBlur float 0.3	        
         }        	
+      }
+   }
+}
+
+material GTP/Moria/GlowFinalCombine : GTP/PostProc/Combine
+{
+   technique maintechnique
+   { 
+      pass mainpass
+      {
+	 	 fragment_program_ref GTP/PostProc/Combine_PS
+         { 
+	     	param_named weight1 float 1.0
+	     	param_named weight2 float 0.35
+	 	 }     
       }
    }
@@ -16,11 +31,11 @@
 material GTP/Moria/PostProc/GlowBlurH : GTP/PostProc/GlowBlurH
 {
-   technique 0
+   technique maintechnique
    { 
-      pass 0
+      pass mainpass
       {
 	 fragment_program_ref
          { 
-	   param_named Stretch float 1.3	   
+	   param_named Stretch float 1.7	   
          }         		 	
       }
@@ -30,11 +45,11 @@
 material GTP/Moria/PostProc/GlowBlurV : GTP/PostProc/GlowBlurV
 {
-   technique 0
+   technique maintechnique
    { 
-      pass 0
+      pass mainpass
       {
          fragment_program_ref
          { 
-	   param_named Stretch float 1.3	       
+	   param_named Stretch float 1.7	       
          }        		 
       }
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/FPSarm.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/FPSarm.material	(revision 2404)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/FPSarm.material	(revision 2414)
@@ -1,23 +1,33 @@
 material phong3
 {
-	technique
+	technique maintechnique
 	{
-		pass
+		pass mainpass
 		{
-			ambient 1 1 1 1
-			diffuse 1 1 1 1
-			specular 0 0 0 2
-			emissive 0 0 0
-
-			//scene_blend alpha_blend
 			depth_write on
-			//depth_check off
 			cull_hardware none
-
-			texture_unit
+			
+			vertex_program_ref GTP/Basic/ShadedTex_VS
 			{
-				texture colortex.png
-				tex_coord_set 0
-				colour_op modulate
+				param_named_auto WorldViewProj worldviewproj_matrix
+				param_named_auto World world_matrix
+				param_named_auto WorldInv inverse_world_matrix
+			}
+			fragment_program_ref GTP/Basic/Shaded/TexturedTwoLights_PS
+			{
+				param_named_auto lightPos1 light_position 0
+				param_named_auto lightDir1 light_direction 0
+				param_named_auto lightColor1 light_diffuse_colour 0
+				param_named_auto lightPower1 light_power 0
+				
+				param_named_auto lightPos2 light_position 1
+				param_named_auto lightDir2 light_direction 1
+				param_named_auto lightColor2 light_diffuse_colour 1
+				param_named_auto lightPower2 light_power 1
+			}
+	
+			texture_unit basetexture
+			{
+				texture colortex.png				
 			}
 		}