Index: GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h	(revision 2413)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h	(revision 2415)
@@ -38,5 +38,9 @@
 bool PP_dofON = true;
 
-float lightpower = 32.0;
+Real lightpower = 32.0;
+Real glowCut = 50.6;
+Real glowTimeBlur = 0.6;
+Real glowStrech = 1.8;
+Real glowCombine = 0.5;
 // Listener class for frame updates
 class MoriaDemoFrameListener : public ExampleFrameListener
@@ -65,5 +69,5 @@
     {	
 		float thisTime = (float) Root::getSingleton().getTimer()->getMilliseconds() / 2000.0f;
-		
+		thisTime= 0;
 		mainLightNode->setPosition(Vector3(2*cos(thisTime), 2, 2 * sin(thisTime)) + Vector3(5, 0, 5));
 		Vector3 pos = light->getDerivedPosition();
@@ -77,5 +81,6 @@
 		
 
-		sysNode->setPosition(mCamera->getPosition() - Vector3(0,1.5,0));
+		//sysNode->setPosition(mCamera->getPosition() - Vector3(0,1.5,0));
+		//sysNode->setPosition(FPSPlayer::thePlayer->getPosition() - Vector3(0,1.5,0));
 
         return ExampleFrameListener::frameStarted(evt);     
@@ -88,20 +93,64 @@
 		if (mInputDevice->isKeyDown(KC_ADD) && mTimeUntilNextToggle <= 0)
 		{
-			lightpower *= 1.2;
+			if (mInputDevice->isKeyDown(KC_RSHIFT))
+				lightpower /= 1.2;
+			else
+				lightpower *= 1.2;
 			light->setPowerScale(lightpower);
-			mTimeUntilNextToggle = 1;
+			mTimeUntilNextToggle = 0.2;
+				mWindow->setDebugText(String("LightPower ") + StringConverter::toString(lightpower));
 		}
 		if (mInputDevice->isKeyDown(KC_SUBTRACT) && mTimeUntilNextToggle <= 0)
 		{
-			lightpower /= 1.2;
-			light->setPowerScale(lightpower);
-			mTimeUntilNextToggle = 1;
-		}
+			if (mInputDevice->isKeyDown(KC_RSHIFT))
+				glowCut /= 1.2;
+			else
+				glowCut *= 1.2;
+			Ogre::Material* m = (Ogre::Material*) MaterialManager::getSingleton().getByName("GTP/Moria/PostProc/GlowCut").getPointer();
+			m->getTechnique(0)->getPass(0)->getFragmentProgramParameters()->setNamedConstant("cutValue",glowCut);
+			mTimeUntilNextToggle = 0.2;
+			mWindow->setDebugText(String("GlowCut ") + StringConverter::toString(glowCut));
+		}
+		if (mInputDevice->isKeyDown(KC_MULTIPLY) && mTimeUntilNextToggle <= 0)
+		{
+			if (mInputDevice->isKeyDown(KC_RSHIFT))
+				glowTimeBlur /= 1.2;
+			else
+				glowTimeBlur *= 1.2;
+			Ogre::Material* m = (Ogre::Material*) MaterialManager::getSingleton().getByName("GTP/Moria/PostProc/GlowCut").getPointer();
+			m->getTechnique(0)->getPass(0)->getFragmentProgramParameters()->setNamedConstant("timeBlur", glowTimeBlur);
+			mTimeUntilNextToggle = 0.2;
+			mWindow->setDebugText(String("GlowTimeBlur ") + StringConverter::toString(glowTimeBlur));
+		}
+		if (mInputDevice->isKeyDown(KC_M))
+		{
+			if (mInputDevice->isKeyDown(KC_RSHIFT))
+				glowStrech -= 0.01;
+			else
+				glowStrech += 0.01;
+			Ogre::Material* m = (Ogre::Material*) MaterialManager::getSingleton().getByName("GTP/Moria/PostProc/GlowBlurH").getPointer();
+			m->getTechnique(0)->getPass(0)->getFragmentProgramParameters()->setNamedConstant("Stretch", glowStrech);
+			m = (Ogre::Material*) MaterialManager::getSingleton().getByName("GTP/Moria/PostProc/GlowBlurV").getPointer();
+			m->getTechnique(0)->getPass(0)->getFragmentProgramParameters()->setNamedConstant("Stretch", glowStrech);
+			mWindow->setDebugText(String("GlowStretch ") + StringConverter::toString(glowStrech));
+		}
+		if (mInputDevice->isKeyDown(KC_N))
+		{
+			if (mInputDevice->isKeyDown(KC_RSHIFT))
+				glowCombine -= 0.01;
+			else
+				glowCombine += 0.01;
+			Ogre::Material* m = (Ogre::Material*) MaterialManager::getSingleton().getByName("GTP/Moria/GlowFinalCombine").getPointer();
+			m->getTechnique(0)->getPass(0)->getFragmentProgramParameters()->setNamedConstant("weight2", glowCombine);
+			mTimeUntilNextToggle = 0.2;
+			mWindow->setDebugText(String("GlowCombine ") + StringConverter::toString(glowCombine));
+		}
+
 		if (mInputDevice->isKeyDown(KC_3) && mTimeUntilNextToggle <= 0)
 		{
 			PP_glowON = !PP_glowON;
 			CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
-														"GTP/PostProc/Glow", PP_glowON);
-			mTimeUntilNextToggle = 1;
+														"GTP/Moria/PostProc/Glow", PP_glowON);
+			mTimeUntilNextToggle = 0.2;
 		}
 		if (mInputDevice->isKeyDown(KC_4) && mTimeUntilNextToggle <= 0)
@@ -112,5 +161,5 @@
 														"GTP/PostProc/ToneMap", PP_tonemapON);
 			
-			mTimeUntilNextToggle = 1;
+			mTimeUntilNextToggle = 0.2;
 		}
 		if (mInputDevice->isKeyDown(KC_5) && mTimeUntilNextToggle <= 0)
@@ -119,5 +168,5 @@
 			CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
 														"GTP/Moria/PostProc/DoF", PP_dofON);
-			mTimeUntilNextToggle = 1;
+			mTimeUntilNextToggle = 0.2;
 		}
 	
@@ -184,4 +233,5 @@
 	void createPostproc()
 	{		
+		
 		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
 														"GTP/Moria/PostProc/DoF");
@@ -189,14 +239,19 @@
 														"GTP/Moria/PostProc/DoF", true);
 
-	CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
-														"GTP/PostProc/Glow");
+		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
+														"GTP/Moria/PostProc/Glow");
 		CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
-														"GTP/PostProc/Glow", true);
-
-		
-		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
+														"GTP/Moria/PostProc/Glow", true);
+
+		
+			CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
 														"GTP/PostProc/ToneMap");
 		CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
 														"GTP/PostProc/ToneMap", true);	
+
+
+
+	
+		
 
 		/*
@@ -292,5 +347,5 @@
 		
 		mainLightNode->setPosition(15,5,15);		
-		mainLight->setPowerScale(100);
+		mainLight->setPowerScale(165);
 		//mainLight->setDirection(1,0, 0);
 		mainLightNode->attachObject(mainLight);
@@ -315,6 +370,6 @@
 		bbs->setMaterialName("Flare");
 		mainLightNode->attachObject(bbs);
-/*
-		    Entity* ent = mSceneMgr->createEntity("troll", "troll.mesh");
+
+		/*    Entity* ent = mSceneMgr->createEntity("troll", "troll.mesh");
 			ent->setCastShadows(true);
             // Add entity to the scene node
@@ -322,5 +377,5 @@
 			trollNode->attachObject(ent);
 			trollNode->setScale(0.05,0.05,0.05);
-            mAnimState = ent->getAnimationState("walk");
+            mAnimState = ent->getAnimationState("stand");
             mAnimState->setEnabled(true);*/
 
@@ -329,8 +384,8 @@
 		gFPSPlayer->addPlayerMesh("FPSarm.mesh", 0.02, true);
 		gFPSPlayer->addWeaponModel("sword.mesh", "joint28");
-/*
+
 		PlayerCharacter* troll = new PlayerCharacter("troll1", NXScene, mSceneMgr, Vector3(1.5, 3.0, 1.2), Vector3(5, 10, 5), false);
 		troll->addPlayerMesh("troll.mesh", 0.05, false);
-
+/*
 		for(float i = 0; i< 7; i++)
 		{
@@ -347,9 +402,9 @@
 		}
 	*/
-	   ParticleSystem* pSys1 = mSceneMgr->createParticleSystem("psys1", "MoriaDust");
+	 /*  ParticleSystem* pSys1 = mSceneMgr->createParticleSystem("psys1", "MoriaDust");
 	   pSys1->setKeepParticlesInLocalSpace(true);
 	   pSysNode = rootNode->createChildSceneNode("psys1");
 	   pSysNode->attachObject(pSys1);
-	   pSysNode->setPosition(0,0,0);
+	   pSysNode->setPosition(0,0,0);*/
 
 
Index: GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp	(revision 2413)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp	(revision 2415)
@@ -112,5 +112,5 @@
 {
 	mCharacterMeshEntity = mSceneManager->createEntity(mName, meshname);
-	mCharacterMeshEntity->setCastShadows(true);
+	mCharacterMeshEntity->setCastShadows(false);
 	mMeshScale = meshscale;
 	mCurrentAnimState = PLAYERANIMSTATE_STAND;
@@ -177,4 +177,5 @@
 	
 	mWeaponEntity = mSceneManager->createEntity(mName + "_Weapon", meshname);
+	mWeaponEntity->setCastShadows(false);
 	mWeaponAttachBone = mCharacterMeshEntity->getSkeleton()->getBone(attachBoneName);
 	mWeaponNode = mCharacterMeshEntity->getParentSceneNode()->createChildSceneNode(mName+"_WeaponNode");	
@@ -342,6 +343,8 @@
 	{
 		float animspeed = 1.2;
-		if(mCurrentAnimState == PLAYERANIMSTATE_WALK && !mRunning)
-			animspeed /= 2;
+		if(mCurrentAnimState == PLAYERANIMSTATE_WALK && mRunning)
+			animspeed *= 1.5;
+		if(mCurrentAnimState == PLAYERANIMSTATE_ATTACK)
+			animspeed *= 2.0;
 
 		mCharacterMesh_AnimState->addTime(dt*animspeed);	
@@ -351,5 +354,5 @@
 	
 	float movecameraup = 0;
-	if(mDebug)movecameraup = 1.0;
+	if(mDebug)movecameraup = 20.0;
 
 	if(mMoving)