Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/PMDemo/PRMDemo.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/PMDemo/PRMDemo.material	(revision 2422)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/PMDemo/PRMDemo.material	(revision 2429)
@@ -7,8 +7,8 @@
 	IllumTechniques
 	{
-		RenderTechnique PathMap
-	 	{
-	    	pass_blending one one
-	 	}
+		//RenderTechnique PathMap
+	 	//{
+	    	//	pass_blending one one
+	 	//}
 		RenderTechnique DepthShadowReceiver
 		{
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPParticles/GTP_Particles.particle
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPParticles/GTP_Particles.particle	(revision 2425)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPParticles/GTP_Particles.particle	(revision 2429)
@@ -42,11 +42,11 @@
 	renderer sprite
 	
-	material		GTP/HPS/Smoke_L_Depth_Illum
-//	material GTP/HPS/Smoke_L_Depth
+//	material		GTP/HPS/Smoke_L_Depth_Illum
+	material GTP/HPS/Smoke_L_Depth
 
 	particle_width  1.6
     particle_height 1.6
     cull_each       false
-    quota           200
+    quota           40
     sorted			true
     //billboard_type  point
@@ -87,11 +87,11 @@
 	renderer sprite
 	
-	//material		GTP/SBB/Basic
-	material		GTP/SBB/Illum
+	material		GTP/SBB/Basic
+	//material		GTP/SBB/Illum
 
 	particle_width  72
     particle_height 72
     cull_each       false
-    quota           6000
+    quota           4800
     sorted			true
     //billboard_type  point
@@ -105,5 +105,5 @@
 
         angle           30
-        emission_rate   60
+        emission_rate   480
         time_to_live    10
         direction       0 1 0
@@ -136,5 +136,5 @@
     particle_height 45
     cull_each       false
-    quota           400
+    quota           120
     //billboard_type  point
     
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPParticles/GTP_Particles.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPParticles/GTP_Particles.material	(revision 2425)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPParticles/GTP_Particles.material	(revision 2429)
@@ -55,5 +55,5 @@
 	    param_named_auto farplane far_clip_distance	  
 	    param_named_auto nearplane near_clip_distance
-            param_named color float4 1 1 1 0.1
+            param_named color float4 1 1 1 0.025
 	 }
 	 texture_unit
@@ -112,5 +112,5 @@
 	    param_named_auto farplane far_clip_distance	  
 	    param_named_auto nearplane near_clip_distance
-            param_named color float4 1 1 1 0.5
+            param_named color float4 1 1 1 0.1
 	 }
 	 texture_unit
@@ -326,5 +326,6 @@
 		fragment_program_ref  GTP/HPS/IllumVolume_PS
 		{ 
-			param_named density float 0.2
+			//param_named density float 0.005
+			param_named density float 0.5
 		}
 		texture_unit
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl	(revision 2422)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl	(revision 2429)
@@ -19,6 +19,6 @@
 #define DIST_EPSILON    0.001
 
-//#define shadowColor float4(0.95,0.95,0.95,1)
-#define shadowColor float4(0.2,0.2,0.2,1)
+#define shadowColor float4(0.95,0.95,0.95,1)
+//#define shadowColor float4(0.2,0.2,0.2,1)
 
 float4 shadowMapDepth(LightVPos_OUT IN,
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPBasicShading.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPBasicShading.hlsl	(revision 2422)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPBasicShading.hlsl	(revision 2429)
@@ -81,4 +81,4 @@
 	//color.rgb *= lightPower;
 	//return 0;
-	return  (color) * tex2D(colorTex, IN.texCoord);
+	return  (color + 0.6) * tex2D(colorTex, IN.texCoord);
 }