Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/vsposp_typical.sh
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/vsposp_typical.sh	(revision 1768)
+++ 	(revision )
@@ -1,129 +1,0 @@
-#!/bin/sh
-
-# add bin to path
-export PATH=../bin:$PATH
-
-#TARGET=debug
-TARGET=release
-PROGRAM=../bin/$TARGET/Preprocessor.exe
-echo "starting $TARGET mode"
-
-#SCENE=vsposp_typical
-SCENE=soda5_vsposp
-#SCENE=soda_vsposp
-#SCENE=vienna_vsposp
-#SCENE=arena_vsposp
-#SCENE=vsposp_citymodel
-#SCENE=soda5
-#SCENE=cube
-#SCENE=atlanta
-#SCENE=vienna
-
-LOG_PREFIX=../scripts/tests/gi/$SCENE-3
-
-ENVIRONMENT=$SCENE.env
-
-#######################################################
-
-
-# METHOD=interleaved
-# echo "$SCENE $METHOD"
-
-# $PROGRAM $ENVIRONMENT \
-# -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-# -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-# -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-# -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-# -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-# -hierarchy_construction_type=1 \
-# -hierarchy_construction_recompute_split_on_repair=true
-
-#sh movefiles.sh $LOG_PREFIX-$METHOD
-
-###########################################################################
-
-# METHOD=interleaved-norepair
-# echo "$SCENE $METHOD"
-
-# $PROGRAM $ENVIRONMENT \
-# -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-# -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-# -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-# -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-# -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-# -hierarchy_construction_type=1 \
-# -hierarchy_construction_recompute_split_on_repair=false
-
-#sh movefiles.sh $LOG_PREFIX-$METHOD
-
-##################################################################################
- METHOD=gradient
- echo "$SCENE $METHOD"
-
-#  $PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=2 \
-  -hierarchy_construction_consider_memory2=true \
- -bvh_construction_render_cost_decrease_weight=0.99 \
- -vsp_construction_render_cost_decrease_weight=0.99 \
-  -hierarchy_construction_multilevel=false \
-  -hierarchy_construction_recompute_split_on_repair=true
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-
-############################################################################
-OBJ_SPLITS=100
-
-  METHOD=sequential-$OBJ_SPLITS
-  echo "$SCENE $METHOD"
-
- 
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=0 \
-  -bvh_term_max_leaves=$OBJ_SPLITS
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-############################################################################
-OBJ_SPLITS=2000
-
-  METHOD=sequential-$OBJ_SPLITS
-  echo "$SCENE $METHOD"
-
-# $PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=0 \
-  -bvh_term_max_leaves=$OBJ_SPLITS
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-############################################################################
-OBJ_SPLITS=4000
-
-  METHOD=sequential-$OBJ_SPLITS
-  echo "$SCENE $METHOD"
-
-# $PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=0 \
-  -bvh_term_max_leaves=$OBJ_SPLITS
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/arena.sh
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/arena.sh	(revision 2075)
+++ 	(revision )
@@ -1,103 +1,0 @@
-#!/bin/sh
-
-# add bin to path
-export PATH=../bin:$PATH
-
-#TARGET=debug
-TARGET=release
-
-PROGRAM=../bin/$TARGET/Preprocessor.exe
-
-SCENE=arena
-LOG_PREFIX=../scripts/tests/gi/$SCENE-35M-gi
-ENVIRONMENT=$SCENE.env
-
-echo "starting $TARGET mode for $SCENE scene"
-
-##################################################################################
-
- METHOD=gradient-full
- echo "$SCENE $METHOD"
-
-  $PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=2 \
-  -hierarchy_construction_consider_memory=true \
-  -hierarchy_construction_multilevel=false \
-  -bvh_use_sah=false \
-  -vsp_use_cost_heuristics=true \
-  -hierarchy_construction_recompute_split_on_repair=true
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-
-############################################################################
-
-NODES=10000
-USE_HEUR=true
-
-  METHOD=sequential-$NODES-$USE_HEUR
-  echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
- -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
- -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
- -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
- -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
- -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
- -hierarchy_construction_type=0 \
- -vsp_use_cost_heuristics=$USE_HEUR \
- -bvh_term_max_leaves=$NODES
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-
-############################################################################
-
-NODES=50000
-USE_HEUR=true
-
-  METHOD=sequential-$NODES-$USE_HEUR
-  echo "$SCENE $METHOD"
-
-$PROGRAM $ENVIRONMENT \
- -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
- -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
- -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
- -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
- -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
- -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
- -hierarchy_construction_type=0 \
- -vsp_use_cost_heuristics=$USE_HEUR \
- -bvh_term_max_leaves=$NODES
-
-sh movefiles.sh $LOG_PREFIX-$METHOD
-
-##################################################################################
-
- METHOD=gradient-full-corr
- echo "$SCENE $METHOD"
-
-  $PROGRAM $ENVIRONMENT \
-  -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-  -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-  -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
-  -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-  -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-  -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-  -hierarchy_construction_type=2 \
-  -hierarchy_construction_consider_memory=true \
-  -hierarchy_construction_multilevel=false \
-  -bvh_use_sah=false \
-  -vsp_use_cost_heuristics=true \
-  -hierarchy_construction_min_avg_raycontri=0.01 \
-  -hierarchy_construction_max_avg_raycontri=0.5 \
-  -hierarchy_construction_recompute_split_on_repair=true
-
-sh movefiles.sh $LOG_PREFIX-$METHOD