Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPAdvancedEnvMap/diffuse/GTPDiffuse.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPAdvancedEnvMap/diffuse/GTPDiffuse.material	(revision 2054)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPAdvancedEnvMap/diffuse/GTPDiffuse.material	(revision 2442)
@@ -25,7 +25,11 @@
    technique 
    { 
-      pass 
-      { 
-		
+	//pass
+	///{
+	//	lighting on
+	//}
+	pass 
+     	{ 
+		//scene_blend add
 		IllumTechniques
 		{
@@ -72,6 +76,8 @@
 		 }
 	 }
+      
    }
 }
+
 
 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2404)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2442)
@@ -12,4 +12,8 @@
 	target ps_3_0
 } 
+
+
+
+
 
 material Difflab/TexturedPhong
@@ -21,5 +25,27 @@
       pass 0
       { 
-	    
+	IllumTechniques
+	{
+			
+			// RenderTechnique CausticReceiver
+			// {
+			//	max_caster_count	1					
+			// }
+			 RenderTechnique DepthShadowReceiver
+			 {
+					max_light_count 3
+					vertex_program_name GTP/Basic/LightCPos_VS
+					fragment_program_name GTP/Basic/SM/Dist_VSM_PS
+					set_light_view true
+					set_light_farplane true
+					light_viewproj_param_name LightViewProj
+					light_view_param_name LightView
+					light_farplane_param_name lightFarPlane
+					world_view_proj_param_name WorldViewProj
+					world_param_name World
+					nearest_from_camera false
+			 }					
+	}	  
+	  	
 		vertex_program_ref PhongViewSpaceVS
        	{       
@@ -111,26 +137,5 @@
 		pass
 		{
-			IllumTechniques
-		    {
-			
-			// RenderTechnique CausticReceiver
-			// {
-			//	max_caster_count	1					
-			// }
-			 RenderTechnique DepthShadowReceiver
-			 {
-					max_light_count 3
-					vertex_program_name GTP/Basic/LightCPos_VS
-					fragment_program_name GTP/Basic/SM/Dist_VSM_PS
-					set_light_view true
-					set_light_farplane true
-					light_viewproj_param_name LightViewProj
-					light_view_param_name LightView
-					light_farplane_param_name lightFarPlane
-					world_view_proj_param_name WorldViewProj
-					world_param_name World
-					nearest_from_camera false
-			 }					
-		    }	
+		
 			
 			ambient 0.37606 0.37606 0.37606 1
@@ -149,26 +154,5 @@
 		pass 0
 		{
-			IllumTechniques
-		{
-			
-			//RenderTechnique CausticReciever
-			//{
-			//	max_caster_count	1					
-			//}
-			RenderTechnique DepthShadowReciever
-			{
-					max_light_count 3
-					vertex_program_name GTP/Basic/LightCPos_VS
-					fragment_program_name GTP/Basic/SM/Dist_VSM_PS
-					set_light_view true
-					set_light_farplane true
-					light_viewproj_param_name LightViewProj
-					light_view_param_name LightView
-					light_farplane_param_name lightFarPlane
-					world_view_proj_param_name WorldViewProj
-					world_param_name World
-					nearest_from_camera false
-			}					
-		}	
+		
 			fragment_program_ref
 			{
@@ -193,26 +177,5 @@
 		pass
 		{
-			IllumTechniques
-		    {
-			
-			// RenderTechnique CausticReceiver
-			// {
-			//	max_caster_count	1					
-			// }
-			 RenderTechnique DepthShadowReceiver
-			 {
-					max_light_count 3
-					vertex_program_name GTP/Basic/LightCPos_VS
-					fragment_program_name GTP/Basic/SM/Dist_VSM_PS
-					set_light_view true
-					set_light_farplane true
-					light_viewproj_param_name LightViewProj
-					light_view_param_name LightView
-					light_farplane_param_name lightFarPlane
-					world_view_proj_param_name WorldViewProj
-					world_param_name World
-					nearest_from_camera false
-			 }					
-		    }	
+		
 			fragment_program_ref
 			{
@@ -251,26 +214,6 @@
 		pass 0
 		{
-			IllumTechniques
-		{
-			
-			//RenderTechnique CausticReceiver
-			//{
-			//	max_caster_count	1					
-			//}
-			RenderTechnique DepthShadowReceiver
-			{
-					max_light_count 3
-					vertex_program_name GTP/Basic/LightCPos_VS
-					fragment_program_name GTP/Basic/SM/Dist_VSM_PS
-					set_light_view true
-					set_light_farplane true
-					light_viewproj_param_name LightViewProj
-					light_view_param_name LightView
-					light_farplane_param_name lightFarPlane
-					world_view_proj_param_name WorldViewProj
-					world_param_name World
-					nearest_from_camera false
-			}					
-		}	
+		
+			
 			fragment_program_ref
 			{
@@ -298,23 +241,5 @@
 		{
 			
-			//RenderTechnique CausticReceiver
-			//{
-			//	max_caster_count	1					
-			//}
-			RenderTechnique DepthShadowReceiver
-			{
-					max_light_count 3
-					vertex_program_name GTP/Basic/LightCPos_VS
-					fragment_program_name GTP/Basic/SM/Dist_VSM_PS
-					set_light_view true
-					set_light_farplane true
-					light_viewproj_param_name LightViewProj
-					light_view_param_name LightView
-					light_farplane_param_name lightFarPlane
-					world_view_proj_param_name WorldViewProj
-					world_param_name World
-					nearest_from_camera false
-			}					
-		}	
+			
 			fragment_program_ref
 			{
@@ -357,26 +282,6 @@
 		pass 0
 		{
-			IllumTechniques
-		{
-			
-			//RenderTechnique CausticReceiver
-			//{
-			//	max_caster_count	1					
-			//}
-			RenderTechnique DepthShadowReceiver
-			{
-					max_light_count 3
-					vertex_program_name GTP/Basic/LightCPos_VS
-					fragment_program_name GTP/Basic/SM/Dist_VSM_PS
-					set_light_view true
-					set_light_farplane true
-					light_viewproj_param_name LightViewProj
-					light_view_param_name LightView
-					light_farplane_param_name lightFarPlane
-					world_view_proj_param_name WorldViewProj
-					world_param_name World
-					nearest_from_camera false
-			}					
-		}	
+			
+			
 			fragment_program_ref
 			{
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl	(revision 2438)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPShadowMap_PS.hlsl	(revision 2442)
@@ -20,5 +20,7 @@
 
 //#define shadowColor float4(0.95,0.95,0.95,1)
-#define shadowColor float4(0.2,0.2,0.2,1)
+#define shadowColor float4(0.8,0.8,0.8,1)
+//#define shadowColor float4(0.2,0.2,0.2,1)
+//#define shadowColor float4(0.0,0.0,0.0,1)
 
 float4 shadowMapDepth(LightVPos_OUT IN,
@@ -102,5 +104,5 @@
                               uniform sampler2D shadowMap) : COLOR
 {
-  float4 light = float4(1,1,1,1);
+  float4 light = 0;//loat4(1,1,1,1);
   
   if( IN.LightVPos.z > 0.0)
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/moria.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/moria.material	(revision 2432)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/moria.material	(revision 2442)
@@ -23,6 +23,6 @@
 				//RenderTechnique PathMap
 			 	//{
-				//	//pass_blending one one
-			    //	new_passes false
+					//pass_blending one one
+			    	//	new_passes false
 				//	start_tex_id 3
 			  	//}	
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaHallBase.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaHallBase.hlsl	(revision 2432)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/MoriaHallBase.hlsl	(revision 2442)
@@ -108,5 +108,5 @@
 	lightCPos = mul(LightView1, float4(IN.wPos, 1)).xyz;
 	shadow = shadowPoint(ShadowMap1Point, lightCPos, lightFarPlane1);
-	shadow = 1;
+	//shadow = 1;
 	Color += col * shadow;	
 	
@@ -132,5 +132,5 @@
 	float4 indirect = PathMapIndirect(PathMap, WeightIndexMap, WeightMap, IN.texCoord2.zw) * 1.2;
 	indirect *= diffuseColor;
-	//Color = Color + indirect * 1.5;
+	//Color = Color + indirect*2.0;
 	
 	//Color += lightPower1 * diffuseColor * 0.0005;
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaPostProc.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaPostProc.material	(revision 2414)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/GTPMoriaPostProc.material	(revision 2442)
@@ -81,5 +81,5 @@
 			param_named focalDist  float 2.0 
 			param_named focalRange float 0.02
-			param_named maxCoC     float 10
+			param_named maxCoC     float 15
 	        
         }
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/illum.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/illum.hlsl	(revision 2417)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/MORIA/illum.hlsl	(revision 2442)
@@ -1,5 +1,5 @@
 #define SPOT_ANGLE 2.093
 #define SPOT_FALLOFF 1
-#define SHADOW_COLOR float4(0.3,0.3,0.3,1.0)
+#define SHADOW_COLOR float4(0.0,0.0,0.0,1.0)
 #define SHADOW_BIAS_POINT 0.0001
 #define SHADOW_EPSILON_POINT 0.0001