Index: GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2439)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2443)
@@ -176,5 +176,5 @@
 		OgreIlluminationManager::getSingleton().initTechniques();
    }*/
-
+/*
 	void createScene(void) ///TOWERS
     {
@@ -227,6 +227,6 @@
 		
 		OgreIlluminationManager::getSingleton().initTechniques();
-   }
-/*
+   }*/
+
 	void createScene(void) ///PATHMAP Hangar
 	{ 
@@ -305,5 +305,5 @@
 		OgreIlluminationManager::getSingleton().initTechniques();
    }
-*/	
+	
 	void createPlane(Ogre::String _name, Ogre::String _material, Ogre::Vector3 _pos, Ogre::Vector2 _size, Ogre::Vector2 _subdivisions = Ogre::Vector2(1,1)) 
 	{
Index: GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 2334)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 2443)
@@ -361,5 +361,6 @@
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("PostProc");
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Basic");
-		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Diffuse_Simple");
+		//ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Diffuse_Simple");
+		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Diffuse");
 	}
 
@@ -403,5 +404,5 @@
 		//std::string occlusion_cfg("OcclusionCulling.cfg");
 		//mSceneMgr->setWorldGeometry(occlusion_cfg);
-		createPostproc();
+		//createPostproc();
 		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
@@ -662,6 +663,6 @@
      	Entity* object = mSceneMgr->createEntity("object", "buddha.mesh");
 		//object->setMaterialName("GTP/Diffuse/Disc2Point");
-		//object->setMaterialName("GTP/Diffuse/Poly2Point");
-		object->setMaterialName("GTP/Diffuse/Poly2PointSimple");
+		object->setMaterialName("GTP/Diffuse/Poly2Point");
+		//object->setMaterialName("GTP/Diffuse/Poly2PointSimple");
 
 		objectNode = rootNode->createChildSceneNode();
@@ -688,4 +689,6 @@
         redLight1->setDiffuseColour(ColourValue(1,0.055, 0.0));
 		redLight1->setPowerScale(1.6);
+		//redLight1->setPowerScale(0.6);
+		redLight1->setAttenuation(20, 0, 0, 3);
 		SceneNode* redLightNode1 = rootNode->createChildSceneNode();
 		redLightNode1->setPosition(0.05,2.361,-1.07);
@@ -697,4 +700,6 @@
         greenLight1->setDiffuseColour(ColourValue(0.362,0.783, 0.685));
 		greenLight1->setPowerScale(2.0);
+		greenLight1->setAttenuation(20, 0, 0, 3);
+		//greenLight1->setPowerScale(1.0);
 		SceneNode* greenLightNode1 = rootNode->createChildSceneNode();
 		greenLightNode1->setPosition(1.312,1.313,0);
@@ -706,6 +711,8 @@
         mainBlueLight->setDiffuseColour(ColourValue(0.395,0.766, 1.0));
 		mainBlueLight->setPowerScale(5.0);
+		//mainBlueLight->setPowerScale(2.0);
 		mainBlueLight->setSpotlightRange(Degree(0),Degree(160));
-		mainBlueLight->setAttenuation(2.5, 0, 1, 0);
+		mainBlueLight->setAttenuation(2.5, 0, 0, 3);
+		//mainBlueLight->setAttenuation(20, 0, 0, 1);
 		SceneNode* mainBlueLightNode = rootNode->createChildSceneNode();
 		mainBlueLightNode->setPosition(-0.546,2.095,1.035);
Index: GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h	(revision 2418)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/Moria/include/Moria.h	(revision 2443)
@@ -377,5 +377,5 @@
 		mainLightNode->attachObject(mainLight);
 		//mainLight->setSpotlightRange(Degree(0),Degree(120));
-		mainLight->setAttenuation(200.0, 0, 0, 1);
+		mainLight->setAttenuation(200.0, 0, 0, 3);
 /*
 		Light* blueLight = mSceneMgr->createLight("blueLight");
Index: GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp	(revision 2418)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/Common/src/FPSPlayer.cpp	(revision 2443)
@@ -239,5 +239,5 @@
 			Quaternion q; 			
 			q.FromAxes(right,Vector3::UNIT_Y,dir);
-			mPlayerCharacter->setDirection(q); 
+			//mPlayerCharacter->setDirection(q); 
 			if(mCharacterController )
 			((MyCharMoveController*)mCharacterController)->movespeed = 1.5;